import * as types from "../constants/actionTypes";

import initState from "../state/initialState";

export default (state = initState.auth, { type, payload }) => {
	switch (type) {
		case types.AUTH: {
			return {
				...state,
				isFetching: true
			};
		}
		case types.AUTH_SUCCESS: {
			console.log("AUTH_SUCCESS", payload);
			return {
				...state,
				isFetching: false
			};
		}
		case types.AUTH_FAIL: {
			return {
				...state,
				isFetching: false
			};
		}

		default:
			return state;
	}
};
