import React, { Component } from "react";
import { Modal } from "antd";

import LoadForm from "../loadForm";

export default class EditModal extends Component {
	render() {
		const { visible, handleClose, inputData, editLoads, initialValues } = this.props;

		return (
			<Modal footer={false} title="Basic Modal" visible={visible} onCancel={handleClose}>
				<LoadForm
					formId="editLoads"
					title="Сохранить изменения"
					initialValues={initialValues}
					event={editLoads}
					inputData={inputData}
				/>
			</Modal>
		);
	}
}
