import { takeEvery } from "redux-saga/effects";
import * as Types from "../../constants/actionTypes";
import getLoads from "./getLoads";
import postLoads from "./addLoads";
import editLoadsRequest from "./editLoads";

function* loads() {
	yield takeEvery(Types.GET_LOADS, getLoads);
	yield takeEvery(Types.POST_LOADS, postLoads);
	yield takeEvery(Types.EDIT_LOADS_REQUEST, editLoadsRequest);
}

export default loads;
