import * as types from "../constants/actionTypes";

export const changeInputValue = payload => ({
	type: types.CHANGE_INPUT_VALUE,
	payload
});

export const addToList = payload => ({
	type: types.ADD_TO_LIST,
	payload
});

export const addLoads = payload => ({
	type: types.ADD_LOADS,
	payload
});

export const getInitVal = payload => ({
	type: types.GET_INIT_VAL,
	payload
});

export const editLoads = payload => ({
	type: types.EDIT_LOADS,
	payload
});

export const getLoads = payload => ({
	type: types.GET_LOADS,
	payload
});

export const getLoadsSuccess = payload => ({
	type: types.GET_LOADS_SUCCESS,
	payload
});

export const getLoadsFail = payload => ({
	type: types.GET_LOADS_FAIL,
	payload
});

export const postLoads = payload => ({
	type: types.POST_LOADS,
	payload
});

export const postLoadsSuccess = payload => ({
	type: types.POST_LOADS_SUCCESS,
	payload
});

export const postLoadsFail = payload => ({
	type: types.POST_LOADS_FAIL,
	payload
});

export const editLoadsRequest = payload => {
	return {
		type: types.EDIT_LOADS_REQUEST,
		payload
	};
};

export const editLoadsRequestSuccess = payload => ({
	type: types.EDIT_LOADS_REQUEST_SUCCESS,
	payload
});

export const editLoadsRequestFail = payload => ({
	type: types.EDIT_LOADS_REQUEST_FAIL,
	payload
});
