import * as types from "../constants/actionTypes";

const weatherRequest = payload => ({
	type: types.WEATHER_REQUEST,
	payload
});

const weatherRequestSuccess = payload => ({
	type: types.WEATHER_REQUEST_SUCCESS,
	payload
});

const weatherRequestFail = payload => ({
	type: types.WEATHER_REQUEST_FAIL,
	payload
});

export const takeInputValue = payload => ({
	type: types.TAKE_INPUT_VALUE,
	payload
});

export const getWeather = payload => {
	return dispatch => {
		dispatch(weatherRequest());
		return fetch(
			`https://query.yahooapis.com/v1/public/yql?q=select%20*%20from%20weather.forecast%20where%20woeid%20in%20(select%20woeid%20from%20geo.places(1)%20where%20text%3D%22${payload}%2C%20ak%22)&format=json&env=store%3A%2F%2Fdatatables.org%2Falltableswithkeys`
		)
			.then(response => response.json())
			.then(res => {
				dispatch(weatherRequestSuccess(res));
			})
			.catch(err => dispatch(weatherRequestFail(err)));
	};
};
