import React from "react";

export const renderField = ({ input, meta: { touched, error }, label, type }) => (
	<div className="form__input-box">
		<label className="form__input-lable" htmlFor="origin">
			{label}
			<input type={type} {...input} />
		</label>
		{touched && error && <span>{error}</span>}
	</div>
);
