import React, { Component } from "react";
import PropTypes from "prop-types";
import { bindActionCreators } from "redux";
import { connect } from "react-redux";

import * as actions from "../actions/auth";
import SomeDirt from "../components/auth-page";

class Auth extends Component {
	static childContextTypes = {
		auth: PropTypes.func
	};

	getChildContext() {
		const { auth } = this.props;
		return {
			auth
		};
	}

	render() {
		console.log("this", this);
		return (
			<div className="auth">
				<SomeDirt />
			</div>
		);
	}
}

const mapStateToProps = state => ({
	authForm: state.form.authForm
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default connect(
	mapStateToProps,
	mapDispatchToProps
)(Auth);
