import axios from "axios";
import { call, put } from "redux-saga/effects";
import * as actions from "../../actions/todo";

export default function* postLoads({ payload }) {
	try {
		const res = yield call(axios, {
			url: `https://first-fly.firebaseio.com/loads.json`,
			method: "POST",
			headers: {
				"content-type": "application/json"
			},
			data: payload
		});
		console.log("res", res);

		yield put(actions.postLoadsSuccess(res));
	} catch (e) {
		yield put(actions.postLoadsFail(e.response));
	}
}
