import axios from "axios";
// import { race } from "redu x-saga";
import { call, put } from "redux-saga/effects";
import * as actions from "../../actions/todo";

export default function* getLoads({ payload }) {
	try {
		const res = yield call(axios, {
			url: `https://first-fly.firebaseio.com/loads.json`,
			method: "GET",
			headers: {
				"content-type": "application/json"
			}
		});

		// const data = yield call(() => fetch("https://dog.ceo/api/breeds/image/random").then(res => res.json()));

		// const all = yield race({
		// 	loads: call(),
		// 	user: call()
		// })

		// yield call(delay, 5000);
		yield put(actions.getLoadsSuccess(res));
	} catch (e) {
		yield put(actions.getLoadsFail(e.response));
	}
}
